Bug 416101 - unable to print after configuring printing in KDE
unable to print after configuring printing in KDE
Status: CLOSED DUPLICATE of bug 230979
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 16:02 EST by Alexander Dupuy
Modified: 2015-07-13 13:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 09:28:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Dupuy 2007-12-07 16:02:59 EST
Description of problem:

I tried to print to a printer discovered on the local network, but attempts to
print a test page failed.  After enabling debug logging in /etc/cups/cupsd.conf,
I was able to determine that the problem was local to my AMD64 system - it was
looking for the ipp driver in /usr/lib64/cups/backend/ but there was no such
directory - all the [64-bit] backends are in /usr/lib/cups/backend/.

Version-Release number of selected component (if applicable):

cups-1.2.12-8.fc7
kdelibs-3.5.8-7.fc7

How reproducible:

At least once

Steps to Reproduce:
1. use KDE print configuration tools to configure CUPS
2. configure remote printer from another system using CUPS (manually, or by
discovery)
3. restart cups
4. try to print test page
  
Actual results:

Nothing prints, following errors in /var/log/cups/error_log:

I [07/Dec/2007:13:44:31 -0500] Started backend /usr/lib64/cups/backend/ipp (PID
23639) for job 2.
E [07/Dec/2007:13:44:31 -0500] PID 23639 (/usr/lib64/cups/backend/ipp) stopped w
ith status 22!
I [07/Dec/2007:13:44:31 -0500] Hint: Try setting the LogLevel to "debug" to find
 out more.
I [07/Dec/2007:13:44:31 -0500] [Job 2] Backend returned status 22 (unknown)

and with debug turned on:

I [07/Dec/2007:14:02:27 -0500] Started backend /usr/lib64/cups/backend/ipp (PID
23914) for job 4.
D [07/Dec/2007:14:02:27 -0500] Discarding unused job-state event...
D [07/Dec/2007:14:02:27 -0500] cupsdProcessIPPRequest: 11 status_code=0 (success
ful-ok)
D [07/Dec/2007:14:02:27 -0500] [Job 4] /usr/lib64/cups/backend/ipp: No such file
 or directory
...
D [07/Dec/2007:14:02:27 -0500] [Job 4] File 0 is complete.
I [07/Dec/2007:14:02:27 -0500] [Job 4] Backend returned status 22 (unknown)
D [07/Dec/2007:14:02:27 -0500] Discarding unused job-stopped event...
D [07/Dec/2007:14:02:28 -0500] Unloading job 4...

Expected results:

test page printed

Additional info:

Workaround - I was able to workaround this by creating a symlink:

ln -s ../lib/cups /usr/lib64/cups

Later, I discovered that /etc/cups/cupsd.conf had the following line:

ServerBin /usr/lib64/cups

and I replaced this with

ServerBin /usr/lib/cups

and removed the symlink.

I suspect that this problem actually resulted from the use of KDEPrint to set up
the /etc/cups/cupsd.conf file, based on the comment at the start of the file:

# CUPS configuration file, generated by CUPS configuration tool.
# This tool is part of KDEPrint, the printing framework for KDE
# since version 2.2.2 and is used by the CUPS supporting module
# in KDEPrint. The predecessors to KDEPrint in former KDE releases
# were KUPS and QtCUPS; they are deprecated and no longer maintained.
#
# Author: Michael Goffioul
#
# Web site: http://printing.kde.org/
#
########################################################################
#                                                                      #
# This is the CUPS configuration file.  If you are familiar with       #
# Apache or any of the other popular web servers, we've followed the   #
# same format.  Any configuration variable used here has the same      #
# semantics as the corresponding variable in Apache.  If we need       #
# different functionality then a different name is used to avoid       #
# confusion...                                                         #
#                                                                      #
########################################################################
Comment 1 Rex Dieter 2007-12-07 16:08:06 EST
In short, kde cups configurator is broken (on 64 bit platforms anyway).  don't
use it.

system-config-printer is the way to go.

See also bug #230979 (pretty much a dup)
Comment 2 Alexander Dupuy 2007-12-07 16:30:45 EST
Yes, this is pretty much a duplicate - but I didn't find bug 230979t when I
searched since I restricted component to cups.

I'm still using the KDE configuration tools - once the ServerBin is explicitly
set in /etc/cups/cupsd.conf, the bogus default is not a problem any more, since
the KDE config tools do read and parse the /etc/cups/cupsd.conf file.

Having ServerBin specified *explicitly* as /usr/lib/cups in the default
/etc/cups/cupds.conf  in the cups RPM (since this value is *not* architecture
specific) would prevent the problem - which is a KDE bug, I am willing to admit;
it's just that it might be easier to fix/workaround in CUPS until it gets fixed
in KDE.

@alex
Comment 3 Rex Dieter 2007-12-07 16:38:58 EST
Excellent investigative work, many Thanks.

Knowing that, it shouldn't be rocket science for us to change/fix kde's default
value too for ServerBin
Comment 4 Rex Dieter 2008-02-26 09:28:42 EST

*** This bug has been marked as a duplicate of 230979 ***
Comment 5 Lukáš Tinkl 2008-02-26 09:29:42 EST
Will be fixed in 3.5.9-2

Note You need to log in before you can comment on or make changes to this bug.